Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.soap
Interface FaultCode12

All Superinterfaces:
  Element, Node, Node, SOAPElement, SOAPFaultElement

All Known Subinterfaces:
  FaultSubcode12

public interface FaultCode12
extends SOAPFaultElement

Represents a SOAP 1.2 Fault code. This interface is an extension to the SAAJ 1.1 javax.xml.soap.SOAPFaultElement.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`FaultValue12` | `addFaultValue()` Adds FaultValue12 element to the internal structure of the FaultCode12 element and returns it to the caller
`FaultSubcode12` | `addSubcode()` Adds FaultSubcode12 element to the internal structure of the FaultCode12 element and returns it to the caller
`FaultValue12` | `getFaultValue()`
`FaultSubcode12` | `getSubcode()`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Method Detail

### getSubcode

    public FaultSubcode12 getSubcode()

  Returns:
    the FaultSubcode12 element within the FaultCode12 element; if no FaultSubcode12 element has been added, method returns null to caller.

### getFaultValue

    public FaultValue12 getFaultValue()

  Returns:
    the FaultValue12 element within the FaultCode12 element; if no FaultValue12 element has been added, method returns null to caller.

### addSubcode

    public FaultSubcode12 addSubcode()
                              throws SOAPException

  Adds FaultSubcode12 element to the internal structure of the FaultCode12 element and returns it to the caller
  Returns:
    the FaultSubcode12 element that was created within the FaultCode12 element
  Throws:
    `SOAPException` - thrown if the FaultCode12 is unable to create a new FaultSubcode12

### addFaultValue

    public FaultValue12 addFaultValue()
                               throws SOAPException

  Adds FaultValue12 element to the internal structure of the FaultCode12 element and returns it to the caller
  Returns:
    the FaultValue12 element that was created within the FaultCode12 element
  Throws:
    `SOAPException` - thrown if the FaultCode12 is unable to create a new FaultValue12

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD